package com.kingdee.eas.custom.notify;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractNotifyTodoInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractNotifyTodoInfo()
    {
        this("id");
    }
    protected AbstractNotifyTodoInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:OA待办集成's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:OA待办集成's 待办操作类型property 
     */
    public String getOperationType()
    {
        return getString("operationType");
    }
    public void setOperationType(String item)
    {
        setString("operationType", item);
    }
    /**
     * Object: OA待办集成 's 发送待办 property 
     */
    public com.kingdee.eas.custom.notify.SendContextInfo getSendTodo()
    {
        return (com.kingdee.eas.custom.notify.SendContextInfo)get("sendTodo");
    }
    public void setSendTodo(com.kingdee.eas.custom.notify.SendContextInfo item)
    {
        put("sendTodo", item);
    }
    /**
     * Object: OA待办集成 's 更新待办 property 
     */
    public com.kingdee.eas.custom.notify.UpdateContentInfo getUpdateTodo()
    {
        return (com.kingdee.eas.custom.notify.UpdateContentInfo)get("updateTodo");
    }
    public void setUpdateTodo(com.kingdee.eas.custom.notify.UpdateContentInfo item)
    {
        put("updateTodo", item);
    }
    /**
     * Object: OA待办集成 's 已办删除待办 property 
     */
    public com.kingdee.eas.custom.notify.RemoveContextInfo getSetdelTodoDone()
    {
        return (com.kingdee.eas.custom.notify.RemoveContextInfo)get("setdelTodoDone");
    }
    public void setSetdelTodoDone(com.kingdee.eas.custom.notify.RemoveContextInfo item)
    {
        put("setdelTodoDone", item);
    }
    /**
     * Object:OA待办集成's 待办返回状态property 
     */
    public com.kingdee.eas.custom.notify.bziEnum.ReturnStateEnum getReturnState()
    {
        return com.kingdee.eas.custom.notify.bziEnum.ReturnStateEnum.getEnum(getString("returnState"));
    }
    public void setReturnState(com.kingdee.eas.custom.notify.bziEnum.ReturnStateEnum item)
    {
		if (item != null) {
        setString("returnState", item.getValue());
		}
    }
    /**
     * Object:OA待办集成's 待办返回信息property 
     */
    public String getMessage()
    {
        return getString("message");
    }
    public void setMessage(String item)
    {
        setString("message", item);
    }
    /**
     * Object:OA待办集成's 待办类型property 
     */
    public com.kingdee.eas.custom.notify.bziEnum.todoType getTodoType()
    {
        return com.kingdee.eas.custom.notify.bziEnum.todoType.getEnum(getString("todoType"));
    }
    public void setTodoType(com.kingdee.eas.custom.notify.bziEnum.todoType item)
    {
		if (item != null) {
        setString("todoType", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("C5094189");
    }
}